import Home from "../../portal/views/home/Home.vue";
import Tips from "../../portal/views/tips/Tips.vue";
import school from "../view/school.vue";
import campus from "../view/campus.vue";
import user from "../view/user.vue";
import specially from "../view/specially.vue";
import course from "../view/course.vue";
import examSite from "../view/exam_site.vue";
import app_list from "../view/app_list.vue";
import privilege_group_list from "../view/privilege_group_list.vue";
import privilege_tree from "../view/privilege_tree.vue";
import role_privilege_settings from "../view/role_privilege_settings.vue";
import school_privilege_settings from "../view/school_privilege_settings.vue";
import resource_list from "../view/resource_list.vue";
import sys_prop_list from "../view/sys_prop_list";
import client_config from "../view/clientConfig";
import school_config from "../view/school_config";

export default [
  {
    path: "/basic", //基础信息
    component: Home,
    children: [
      {
        path: "tips", //模块说明
        component: Tips
      },
      {
        path: "course", //课程管理
        meta: { privilegeCodes: "index_course" },
        component: course
      },
      {
        path: "specially", //专业管理
        meta: { privilegeCodes: "index_specially" },
        component: specially
      },
      {
        path: "school", //学校管理
        meta: { privilegeCodes: "index_school" },
        component: school
      },
      {
        path: "campus", //学习中心管理
        meta: { privilegeCodes: "index_campus" },
        component: campus
      },
      {
        path: "examSite/:orgId", //考点管理
        meta: { privilegeCodes: "index_campus" },
        component: examSite
      },
      {
        path: "user", //用户管理
        meta: { privilegeCodes: "index_user" },
        component: user
      },
      {
        path: "app_list", //应用列表
        meta: { pageName: "应用列表" },
        component: app_list
      },
      {
        path: "privilege_group_list", //权限组列表
        meta: { pageName: "权限组列表" },
        component: privilege_group_list
      },
      {
        path: "privilege_tree/:privilegeGroupId", //权限树
        meta: { pageName: "权限树" },
        component: privilege_tree
      },
      {
        path: "role_privilege_settings", //角色权限设置
        meta: { privilegeCodes: "index_role_privilege_settings" },
        component: role_privilege_settings
      },
      {
        path: "school_privilege_settings", //学校权限设置
        meta: { privilegeCodes: "index_school_privilege_settings" },
        component: school_privilege_settings
      },
      {
        path: "resource_list", //资源列表
        meta: { privilegeCodes: "index_resource_list" },
        component: resource_list
      },
      {
        path: "sys_prop_list", //参数配置列表
        meta: { privilegeCodes: "sys_pop_list" },
        component: sys_prop_list
      },
      {
        path: "client_config",
        meta: { privilegeCodes: "client_config" },
        component: client_config
      },
      {
        path: "school_config", //学校设置
        meta: { privilegeCodes: "school_config" },
        component: school_config
      }
    ]
  }
];
